commit:     e8c181947041de2009bbe46695ffea0944421365
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 28 14:32:08 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 28 15:27:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8c18194

dev-python/untangle: Unpin dependencies

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../untangle/{untangle-1.2.1-r1.ebuild => untangle-1.2.1-r2.ebuild} | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/dev-python/untangle/untangle-1.2.1-r1.ebuild 
b/dev-python/untangle/untangle-1.2.1-r2.ebuild
similarity index 86%
rename from dev-python/untangle/untangle-1.2.1-r1.ebuild
rename to dev-python/untangle/untangle-1.2.1-r2.ebuild
index aa1aab5e8da1..9b35ef43d86d 100644
--- a/dev-python/untangle/untangle-1.2.1-r1.ebuild
+++ b/dev-python/untangle/untangle-1.2.1-r2.ebuild
@@ -27,3 +27,9 @@ RDEPEND="
 "
 
 distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+       # poetry, sigh
+       sed -i -e 's:\^:>=:' pyproject.toml || die
+}

Reply via email to